<!--<ion-header [translucent]="true" collapse="condense" >-->
<!--  <ion-toolbar>-->
<!--    <ion-title>-->
<!--      Carte-->
<!--    </ion-title>-->
<!--  </ion-toolbar>-->
<!--</ion-header>-->
<!--<ion-header  [translucent]="true">-->
<!--  <ion-toolbar>-->
<!--    <ion-buttons slot="start">-->
<!--    </ion-buttons>-->
<!--    <ion-buttons slot="end">-->
<!--      <ion-menu-button auto-hide="false"></ion-menu-button>-->
<!--    </ion-buttons>-->
<!--    <div style="display: flex;align-items: center;">-->
<!--    <ion-searchbar mode="ios" style="padding-top:0px;padding-bottom: 0px"  #searchInput [(ngModel)]="search"></ion-searchbar>-->
<!--    <ion-icon name="mic-circle-outline" style="font-size: 25px" (click)="vocal()" tappable></ion-icon>-->
<!--    </div>-->
<!--  </ion-toolbar>-->

<!--</ion-header>-->
<ion-content [fullscreen]="true">
  <!-- Searchbar with cancel button always shown -->
  <div style="display: flex;align-items: center;position:absolute;width: 100%;z-index: 5;top: 6vh;padding: 0 5vw">
    <ion-icon name="menu-sharp" style=" padding: 7px;background: #f8fdf8;border-radius: 30px; font-size: 1.4rem;" (click)="menu()"></ion-icon>
    <ion-searchbar showCancelButton="never" showClearButton="never" mode="ios" style="padding-top:0px;padding-bottom: 0px;padding-right: 0px; --background: #f8fdf8;"  #searchInput [(ngModel)]="search">
      <ion-icon name="mic-outline" style="font-size: 25px; position: absolute; z-index: 15;color: black;  right: 5vw;" (click)="vocal()" tappable></ion-icon>
    </ion-searchbar>
  </div>
  <div id="mapId"></div>

<!--    <ion-fab vertical="bottom" horizontal="start" slot="fixed" style="right: 0;left: 0;width: fit-content" >-->
<!--      <ion-fab-button size="small" style="margin-left: 10px;">-->
<!--        <ion-icon name="map-outline"></ion-icon>-->
<!--      </ion-fab-button>-->
<!--      <ion-fab-button size="small" (click)="locatePositionpres()" style="margin-left: 10px;">-->
<!--        <ion-icon name="locate-outline"></ion-icon>-->
<!--      </ion-fab-button>-->
<!--      <ion-fab-button size="small" (click)="sharee()"  style="margin-left: 10px;">-->
<!--        <ion-icon name="share-social-sharp" ></ion-icon>-->
<!--      </ion-fab-button>-->
<!--    </ion-fab>-->

<!--  <ion-fab vertical="bottom" horizontal="start" slot="fixed" style="right: 0;left: 0;width: fit-content" >-->
<!--    <ion-fab-button size="small" style="margin-left: 10px;">-->
<!--      <ion-icon name="share-social-sharp" ></ion-icon>-->

<!--    </ion-fab-button>-->
<!--    <ion-fab-list side="end">-->
<!--      <ion-fab-button color="light" (click)="ShareFacebook()">-->
<!--        <ion-icon name="logo-facebook" ></ion-icon>-->
<!--      </ion-fab-button>-->
<!--      <ion-fab-button color="light" (click)="SendTwitter()">-->
<!--        <ion-icon name="logo-twitter"></ion-icon>-->
<!--      </ion-fab-button>-->
<!--      <ion-fab-button color="light" (click)="SendInstagram()">-->
<!--        <ion-icon name="logo-instagram"></ion-icon>-->
<!--      </ion-fab-button>-->
<!--      <ion-fab-button color="light" (click)="ShareWhatsapp()">-->
<!--        <ion-icon name="logo-whatsapp"></ion-icon>-->
<!--      </ion-fab-button>-->
<!--    </ion-fab-list>-->
<!--  </ion-fab>-->
  <ion-fab (click)="mapsettingp()" side="bottom" horizontal="start" vertical="bottom" style="display: flex;right: 0;  bottom: 24vh;
    left: 0; width: fit-content;">
    <ion-fab-button color="optyblue" size="small">
      <ion-icon name="alert-circle-outline" ></ion-icon>
    </ion-fab-button>
  </ion-fab>

<!--  <ion-fab side="bottom"  vertical="bottom" horizontal="start" style="display: flex;right: 0;  bottom: 15vh;-->
<!--    left: 0; width: fit-content; " (click)="myposition()" >-->
<!--    <ion-fab-button color="optyblue" size="small">-->
<!--      <ion-icon name="navigate-outline" ></ion-icon>-->
<!--    </ion-fab-button>-->
<!--  </ion-fab>-->

  <ion-fab side="bottom" [activated]=1 vertical="bottom" horizontal="start" style="display: flex;right: 0;  bottom: 0;
    left: 0; width: fit-content; width: 100vw;  height: 15vh; flex-direction: row; flex-wrap: nowrap;
    align-content: flex-end;  align-items: center;  background: linear-gradient(0deg,#02002473 0%, rgb(0 0 0 / 0%) 100%);overflow-x: scroll" >
  <ion-fab-button color="optyblue" size="small" style="position: fixed; z-index: 2;">
       <ion-icon name="grid-outline" ></ion-icon>
  </ion-fab-button>
    <ion-fab-list side="end" style="right: 0; bottom: 0; left: 0; width: 100vw; " >

        <ion-fab-button size="small" color="light2" (click)="loadstation($event)">
<!--          <img src="../../assets/icon/station-circle.png">-->
          <ion-icon style="font-size: 50px;" src="./../assets/icon/svg/station.svg"></ion-icon>
        </ion-fab-button>
        <ion-fab-button size="small" color="light2" (click)="loadmecanicien($event)" >
<!--          <img src="../../assets/icon/mecanicien-circle.png">-->
          <ion-icon style="font-size: 50px;" src="./../assets/icon/svg/mecanicien.svg"></ion-icon>

        </ion-fab-button>
        <ion-fab-button size="small" color="light2" (click)="loadhopital($event)" >
<!--          <img src="../../assets/icon/h-circle.png">-->
          <ion-icon style="font-size: 50px;" src="./../assets/icon/svg/hospital.svg"></ion-icon>
        </ion-fab-button>
    <ion-fab-button size="small" color="light2" (click)="loadpharmacie($event)" >
<!--          <img src="../../assets/icon/h-circle.png">-->
          <ion-icon style="font-size: 50px;" src="./../assets/icon/svg/pharmacie.svg"></ion-icon>
        </ion-fab-button>
      <ion-fab-button size="small" color="light2" (click)="loadgendarme($event)" >
<!--          <img src="../../assets/icon/h-circle.png">-->
          <ion-icon style="font-size: 20px;" src="./../assets/icon/svg/police.svg"></ion-icon>
        </ion-fab-button>
    <ion-fab-button size="small" color="light2" (click)="loadvulcanisateur($event)" >
      <ion-icon src="../../assets/icon/svg/tire.svg"></ion-icon>
        </ion-fab-button>
<!--    <ion-fab-button size="small" color="light2" (click)="loadsignalisation($event)" >-->
<!--          <img src="../../assets/icon/signalisation.png">-->
<!--        </ion-fab-button>-->

    <ion-fab-button  size="small" color="light2"  (click)="loadarret($event)" >
      <img src="../../assets/icon/arret-circle.png">
    </ion-fab-button>
    </ion-fab-list>
  </ion-fab>
</ion-content>



<!--<ion-footer>-->
<!--  <ion-toolbar>-->
<!--    <ion-buttons slot="end" style="margin-right: 10px; overflow-x: scroll;" >-->
<!--      <ion-button (click)="gotoittineraire()" shape="round" expand="block" fill="outline" color="black" style="font-size: 12px;">-->
<!--        <ion-icon name="share-social-sharp" ></ion-icon>  Ittineraires-->
<!--      </ion-button>-->
<!--      <ion-button (click)="gotoaddstation()" shape="round" expand="block" fill="outline" color="black" style="font-size: 12px;">-->
<!--        Ajouter<br> station-->
<!--      </ion-button>-->
<!--      <ion-button  (click)="locatePositionpres()" id="changeText" shape="round" expand="block" fill="outline" color="black" style="font-size: 12px;">-->
<!--        Trouver <br>station-->
<!--      </ion-button>-->
<!--      <ion-button  (click)="gotoaddgaragiste()"  shape="round" expand="block" fill="outline" color="black" style="font-size: 12px;">-->
<!--        Ajouter <br>garagiste-->
<!--      </ion-button>-->
<!--      <ion-button  (click)="locatePositionpres()"  shape="round" expand="block" fill="outline" color="black" style="font-size: 12px;">-->
<!--        Trouver <br>pharmacie-->
<!--      </ion-button>-->
<!--      <ion-button  (click)="gotoaddpharmacie()"  shape="round" expand="block" fill="outline" color="black" style="font-size: 12px;">-->
<!--        Ajouter <br>pharmacie-->
<!--      </ion-button>-->

<!--      <ion-button  (click)="gotoaddsignalisation()"  shape="round" expand="block" fill="outline" color="black" style="font-size: 12px;">-->
<!--        Signaler-->
<!--      </ion-button>-->
<!--    </ion-buttons>-->
<!--  </ion-toolbar>-->
<!--</ion-footer>-->

